/*
 * The Clear BSD License
 * Copyright 2017-2018 NXP
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted (subject to the limitations in the disclaimer below) provided
 * that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of the copyright holder nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/***********************************************************************************************************************
 * Definitions
 **********************************************************************************************************************/

/*! @brief Direction type  */
typedef enum _pin_mux_direction
{
    kPIN_MUX_DirectionInput = 0U,        /* Input direction */
    kPIN_MUX_DirectionOutput = 1U,       /* Output direction */
    kPIN_MUX_DirectionInputOrOutput = 2U /* Input or output direction */
} pin_mux_direction_t;

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PTE7 (number 5), D4[3]/LEDRGB_BLUE
  @{ */
#define BOARD_INITLEDS_PTE7_BLUE_PERIPHERAL GPIOB          /*!<@brief Device name: GPIOB */
#define BOARD_INITLEDS_PTE7_BLUE_SIGNAL GPIO               /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITLEDS_PTE7_BLUE_GPIO GPIOB                /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITLEDS_PTE7_BLUE_GPIO_PIN 7U               /*!<@brief PORTB pin index: 7 */
#define BOARD_INITLEDS_PTE7_BLUE_PORT PORTE                /*!<@brief PORT device name: PORTE */
#define BOARD_INITLEDS_PTE7_BLUE_PIN 7U                    /*!<@brief PORTE pin index: 7 */
#define BOARD_INITLEDS_PTE7_BLUE_CHANNEL 7                 /*!<@brief GPIOB GPIO channel: 7 */
#define BOARD_INITLEDS_PTE7_BLUE_PIN_NAME PTE7             /*!<@brief Pin name */
#define BOARD_INITLEDS_PTE7_BLUE_LABEL "D4[3]/LEDRGB_BLUE" /*!<@brief Label */
#define BOARD_INITLEDS_PTE7_BLUE_NAME "PTE7_BLUE"          /*!<@brief Identifier name */
                                                           /* @} */

/*! @name PTH2 (number 6), D4[4]/LEDRGB_GREEN
  @{ */
#define BOARD_INITLEDS_PTH2_GREEN_PERIPHERAL GPIOB           /*!<@brief Device name: GPIOB */
#define BOARD_INITLEDS_PTH2_GREEN_SIGNAL GPIO                /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITLEDS_PTH2_GREEN_GPIO GPIOB                 /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITLEDS_PTH2_GREEN_GPIO_PIN 26U               /*!<@brief PORTB pin index: 26 */
#define BOARD_INITLEDS_PTH2_GREEN_PORT PORTH                 /*!<@brief PORT device name: PORTH */
#define BOARD_INITLEDS_PTH2_GREEN_PIN 2U                     /*!<@brief PORTH pin index: 2 */
#define BOARD_INITLEDS_PTH2_GREEN_CHANNEL 26                 /*!<@brief GPIOB GPIO channel: 26 */
#define BOARD_INITLEDS_PTH2_GREEN_PIN_NAME PTH2              /*!<@brief Pin name */
#define BOARD_INITLEDS_PTH2_GREEN_LABEL "D4[4]/LEDRGB_GREEN" /*!<@brief Label */
#define BOARD_INITLEDS_PTH2_GREEN_NAME "PTH2_GREEN"          /*!<@brief Identifier name */
                                                             /* @} */

/*! @name PTH1 (number 14), D4[1]/LEDRGB_RED
  @{ */
#define BOARD_INITLEDS_PTH1_RED_PERIPHERAL GPIOB         /*!<@brief Device name: GPIOB */
#define BOARD_INITLEDS_PTH1_RED_SIGNAL GPIO              /*!<@brief GPIOB signal: GPIO */
#define BOARD_INITLEDS_PTH1_RED_GPIO GPIOB               /*!<@brief GPIO device name: GPIOB */
#define BOARD_INITLEDS_PTH1_RED_GPIO_PIN 25U             /*!<@brief PORTB pin index: 25 */
#define BOARD_INITLEDS_PTH1_RED_PORT PORTH               /*!<@brief PORT device name: PORTH */
#define BOARD_INITLEDS_PTH1_RED_PIN 1U                   /*!<@brief PORTH pin index: 1 */
#define BOARD_INITLEDS_PTH1_RED_CHANNEL 25               /*!<@brief GPIOB GPIO channel: 25 */
#define BOARD_INITLEDS_PTH1_RED_PIN_NAME PTH1            /*!<@brief Pin name */
#define BOARD_INITLEDS_PTH1_RED_LABEL "D4[1]/LEDRGB_RED" /*!<@brief Label */
#define BOARD_INITLEDS_PTH1_RED_NAME "PTH1_RED"          /*!<@brief Identifier name */
                                                         /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDs(void);

/*! @name PTD6 (number 23), J1[7]/PTD6_TSI/PTD6_RXD2
  @{ */
#define BOARD_INITTOUCH_PTD6_TSI_PERIPHERAL GPIOA                 /*!<@brief Device name: GPIOA */
#define BOARD_INITTOUCH_PTD6_TSI_SIGNAL GPIO                      /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITTOUCH_PTD6_TSI_GPIO GPIOA                       /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITTOUCH_PTD6_TSI_GPIO_PIN 30U                     /*!<@brief PORTA pin index: 30 */
#define BOARD_INITTOUCH_PTD6_TSI_PORT PORTD                       /*!<@brief PORT device name: PORTD */
#define BOARD_INITTOUCH_PTD6_TSI_PIN 6U                           /*!<@brief PORTD pin index: 6 */
#define BOARD_INITTOUCH_PTD6_TSI_CHANNEL 30                       /*!<@brief GPIOA GPIO channel: 30 */
#define BOARD_INITTOUCH_PTD6_TSI_PIN_NAME PTD6                    /*!<@brief Pin name */
#define BOARD_INITTOUCH_PTD6_TSI_LABEL "J1[7]/PTD6_TSI/PTD6_RXD2" /*!<@brief Label */
#define BOARD_INITTOUCH_PTD6_TSI_NAME "PTD6_TSI"                  /*!<@brief Identifier name */
                                                                  /* @} */

/*! @name PTD7 (number 22), J1[5]/PTD7_TSI/PTD7_TXD2
  @{ */
#define BOARD_INITTOUCH_PTD7_TSI_PERIPHERAL GPIOA                 /*!<@brief Device name: GPIOA */
#define BOARD_INITTOUCH_PTD7_TSI_SIGNAL GPIO                      /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITTOUCH_PTD7_TSI_GPIO GPIOA                       /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITTOUCH_PTD7_TSI_GPIO_PIN 31U                     /*!<@brief PORTA pin index: 31 */
#define BOARD_INITTOUCH_PTD7_TSI_PORT PORTD                       /*!<@brief PORT device name: PORTD */
#define BOARD_INITTOUCH_PTD7_TSI_PIN 7U                           /*!<@brief PORTD pin index: 7 */
#define BOARD_INITTOUCH_PTD7_TSI_CHANNEL 31                       /*!<@brief GPIOA GPIO channel: 31 */
#define BOARD_INITTOUCH_PTD7_TSI_PIN_NAME PTD7                    /*!<@brief Pin name */
#define BOARD_INITTOUCH_PTD7_TSI_LABEL "J1[5]/PTD7_TSI/PTD7_TXD2" /*!<@brief Label */
#define BOARD_INITTOUCH_PTD7_TSI_NAME "PTD7_TSI"                  /*!<@brief Identifier name */
                                                                  /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitTOUCH(void);

/*! @name UART1_RX (number 52), J1[3]/PTC6_RXD1
  @{ */
#define BOARD_INITDEBUG_UART_DEBUG_UART_RX_PERIPHERAL UART1        /*!<@brief Device name: UART1 */
#define BOARD_INITDEBUG_UART_DEBUG_UART_RX_SIGNAL RX               /*!<@brief UART1 signal: RX */
#define BOARD_INITDEBUG_UART_DEBUG_UART_RX_PIN_NAME UART1_RX       /*!<@brief Pin name */
#define BOARD_INITDEBUG_UART_DEBUG_UART_RX_LABEL "J1[3]/PTC6_RXD1" /*!<@brief Label */
#define BOARD_INITDEBUG_UART_DEBUG_UART_RX_NAME "DEBUG_UART_RX"    /*!<@brief Identifier name */
                                                                   /* @} */

/*! @name UART1_TX (number 51), J1[1]/PTC7_TXD1
  @{ */
#define BOARD_INITDEBUG_UART_DEBUG_UART_TX_PERIPHERAL UART1        /*!<@brief Device name: UART1 */
#define BOARD_INITDEBUG_UART_DEBUG_UART_TX_SIGNAL TX               /*!<@brief UART1 signal: TX */
#define BOARD_INITDEBUG_UART_DEBUG_UART_TX_PIN_NAME UART1_TX       /*!<@brief Pin name */
#define BOARD_INITDEBUG_UART_DEBUG_UART_TX_LABEL "J1[1]/PTC7_TXD1" /*!<@brief Label */
#define BOARD_INITDEBUG_UART_DEBUG_UART_TX_NAME "DEBUG_UART_TX"    /*!<@brief Identifier name */
                                                                   /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UART(void);

/*! @name I2C0_SCL (number 47), J2[20]/U1[4]/PTA3_ACCEL_SCL/PTA3_D15
  @{ */
#define BOARD_INITACCEL_ACCEL_SCL_PERIPHERAL I2C0                              /*!<@brief Device name: I2C0 */
#define BOARD_INITACCEL_ACCEL_SCL_SIGNAL SCL                                   /*!<@brief I2C0 signal: SCL */
#define BOARD_INITACCEL_ACCEL_SCL_PIN_NAME I2C0_SCL                            /*!<@brief Pin name */
#define BOARD_INITACCEL_ACCEL_SCL_LABEL "J2[20]/U1[4]/PTA3_ACCEL_SCL/PTA3_D15" /*!<@brief Label */
#define BOARD_INITACCEL_ACCEL_SCL_NAME "ACCEL_SCL"                             /*!<@brief Identifier name */
                                                                               /* @} */

/*! @name I2C0_SDA (number 48), J2[18]/U1[6]/PTA2_ACCEL_SDA/PTA2_D14
  @{ */
#define BOARD_INITACCEL_ACCEL_SDA_PERIPHERAL I2C0                              /*!<@brief Device name: I2C0 */
#define BOARD_INITACCEL_ACCEL_SDA_SIGNAL SDA                                   /*!<@brief I2C0 signal: SDA */
#define BOARD_INITACCEL_ACCEL_SDA_PIN_NAME I2C0_SDA                            /*!<@brief Pin name */
#define BOARD_INITACCEL_ACCEL_SDA_LABEL "J2[18]/U1[6]/PTA2_ACCEL_SDA/PTA2_D14" /*!<@brief Label */
#define BOARD_INITACCEL_ACCEL_SDA_NAME "ACCEL_SDA"                             /*!<@brief Identifier name */
                                                                               /* @} */

/*! @name PTD4 (number 44), U1[11]/PTD4_ACCEL_INT1
  @{ */
#define BOARD_INITACCEL_ACCEL_INT1_PERIPHERAL GPIOA               /*!<@brief Device name: GPIOA */
#define BOARD_INITACCEL_ACCEL_INT1_SIGNAL GPIO                    /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITACCEL_ACCEL_INT1_GPIO GPIOA                     /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITACCEL_ACCEL_INT1_GPIO_PIN 28U                   /*!<@brief PORTA pin index: 28 */
#define BOARD_INITACCEL_ACCEL_INT1_PORT PORTD                     /*!<@brief PORT device name: PORTD */
#define BOARD_INITACCEL_ACCEL_INT1_PIN 4U                         /*!<@brief PORTD pin index: 4 */
#define BOARD_INITACCEL_ACCEL_INT1_CHANNEL 28                     /*!<@brief GPIOA GPIO channel: 28 */
#define BOARD_INITACCEL_ACCEL_INT1_PIN_NAME PTD4                  /*!<@brief Pin name */
#define BOARD_INITACCEL_ACCEL_INT1_LABEL "U1[11]/PTD4_ACCEL_INT1" /*!<@brief Label */
#define BOARD_INITACCEL_ACCEL_INT1_NAME "ACCEL_INT1"              /*!<@brief Identifier name */
                                                                  /* @} */

/*! @name PTD3 (number 45), U1[9]/PTD3_ACCEL_INT2
  @{ */
#define BOARD_INITACCEL_ACCEL_INT2_PERIPHERAL GPIOA              /*!<@brief Device name: GPIOA */
#define BOARD_INITACCEL_ACCEL_INT2_SIGNAL GPIO                   /*!<@brief GPIOA signal: GPIO */
#define BOARD_INITACCEL_ACCEL_INT2_GPIO GPIOA                    /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITACCEL_ACCEL_INT2_GPIO_PIN 27U                  /*!<@brief PORTA pin index: 27 */
#define BOARD_INITACCEL_ACCEL_INT2_PORT PORTD                    /*!<@brief PORT device name: PORTD */
#define BOARD_INITACCEL_ACCEL_INT2_PIN 3U                        /*!<@brief PORTD pin index: 3 */
#define BOARD_INITACCEL_ACCEL_INT2_CHANNEL 27                    /*!<@brief GPIOA GPIO channel: 27 */
#define BOARD_INITACCEL_ACCEL_INT2_PIN_NAME PTD3                 /*!<@brief Pin name */
#define BOARD_INITACCEL_ACCEL_INT2_LABEL "U1[9]/PTD3_ACCEL_INT2" /*!<@brief Label */
#define BOARD_INITACCEL_ACCEL_INT2_NAME "ACCEL_INT2"             /*!<@brief Identifier name */
                                                                 /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCEL(void);

/*! @name EXTAL (number 11), Y1[2]/EXTAL
  @{ */
#define BOARD_INITOSC_EXTAL_PERIPHERAL OSC      /*!<@brief Device name: OSC */
#define BOARD_INITOSC_EXTAL_SIGNAL EXTAL        /*!<@brief OSC signal: EXTAL */
#define BOARD_INITOSC_EXTAL_PIN_NAME EXTAL      /*!<@brief Pin name */
#define BOARD_INITOSC_EXTAL_LABEL "Y1[2]/EXTAL" /*!<@brief Label */
#define BOARD_INITOSC_EXTAL_NAME "EXTAL"        /*!<@brief Identifier name */
                                                /* @} */

/*! @name XTAL (number 12), Y1[1]/XTAL_Y
  @{ */
#define BOARD_INITOSC_XTAL_PERIPHERAL OSC       /*!<@brief Device name: OSC */
#define BOARD_INITOSC_XTAL_SIGNAL XTAL          /*!<@brief OSC signal: XTAL */
#define BOARD_INITOSC_XTAL_PIN_NAME XTAL        /*!<@brief Pin name */
#define BOARD_INITOSC_XTAL_LABEL "Y1[1]/XTAL_Y" /*!<@brief Label */
#define BOARD_INITOSC_XTAL_NAME "XTAL"          /*!<@brief Identifier name */
                                                /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSC(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
